For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList integration configs
      • GETGet integration config status
      • POSTCreate or update an integration config
      • DELDelete an integration config
Dashboard
LogoLogo
Runtype APIIntegration Configs

Create or update an integration config

POST
/v1/integration-configs/:provider
POST
/v1/integration-configs/:provider
$curl -X POST https://api.runtype.com/v1/integration-configs/provider \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "apiKey": "phx_your_posthog_api_key_here"
>}'
1{
2 "success": true
3}

Stores an API key for the specified integration provider. Storing a NEW integration key requires the BYOK (Bring Your Own Key) entitlement; rotating a key that already exists for the provider is always allowed.

Was this page helpful?
Previous

Delete an integration config

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

providerstringRequired
Integration provider name

Request

This endpoint expects an object.
apiKeystringRequired>=1 character
API key for the provider

Response

Integration config saved
successboolean

Errors

400
Bad Request Error
401
Unauthorized Error
402
Payment Required Error
403
Forbidden Error
500
Internal Server Error